import request from '@/utils/httpRequest'

export default class HelpTreeService {
  list (params) {
    return request({
      url: '/help_tree/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/help_tree/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  getList () {
    return request({
      url: '/help_tree/getList',
      method: 'get',
      params: {}
    })
  }
  save (inputForm) {
    return request({
      url: `/help_tree/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/help_tree/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
}
